Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
Class GrailsDomainBinder.CollectionType

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsDomainBinder.CollectionType

Enclosing class:
  GrailsDomainBinder

    abstract static class GrailsDomainBinder.CollectionType

extends Object

A Collection type, for the moment only Set is supported

Author:
  Graeme

Constructor Summary
`GrailsDomainBinder.CollectionType(Class<?> clazz)`

Method Summary
`static GrailsDomainBinder.CollectionType` | `collectionTypeForClass(Class<?> clazz)`
`abstract org.hibernate.mapping.Collection` | `create(GrailsDomainClassProperty property, org.hibernate.mapping.PersistentClass owner, String path, org.hibernate.cfg.Mappings mappings)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsDomainBinder.CollectionType

    GrailsDomainBinder.CollectionType(Class<?> clazz)

Method Detail

### create

    public abstract org.hibernate.mapping.Collection create(GrailsDomainClassProperty property,
                                                            org.hibernate.mapping.PersistentClass owner,
                                                            String path,
                                                            org.hibernate.cfg.Mappings mappings)
                                                     throws org.hibernate.MappingException

  Throws:
    `org.hibernate.MappingException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### collectionTypeForClass

    public static GrailsDomainBinder.CollectionType collectionTypeForClass(Class<?> clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD